﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            AddTab("Personal Info", true);

            RadPageView pageView = new RadPageView();
            pageView.ID = "Personal";
            RadMultiPage1.PageViews.Add(pageView);

            AddTab("Education Info", false);
            AddTab("Professional Info", false);
        }
    }

    private void AddTab(string tabName, bool enabled)
    {
        RadTab tab = new RadTab(tabName);
        tab.Enabled = enabled;
        RadTabStrip1.Tabs.Add(tab);
    }
    protected void RadMultiPage1_PageViewCreated(object sender, RadMultiPageEventArgs e)
    {
        Control pageViewContents = LoadControl(e.PageView.ID + "CS.ascx");
        pageViewContents.ID = e.PageView.ID + "userControl";

        e.PageView.Controls.Add(pageViewContents);
    }
}
