<%@ Control Language="c#" AutoEventWireup="true" CodeFile="PersonalCS.ascx.cs" Inherits="Telerik.Web.Examples.TabStrip.ApplicationScenarios.Wizard.PersonalCS" %>
<ul class="formList">
    <li>
        <asp:Label runat="server" ID="titleLabel" AssociatedControlID="titleDropDownList" Text="Title:" />
        <asp:DropDownList runat="server" ID="titleDropDownList">
            <asp:ListItem Text="Mr."></asp:ListItem>
            <asp:ListItem Text="Mrs."></asp:ListItem>
            <asp:ListItem Text="Ms."></asp:ListItem>
            <asp:ListItem Text="Miss"></asp:ListItem>
        </asp:DropDownList>
    </li>
    <li>
        <asp:Label runat="server" ID="firstNameLabel" AssociatedControlID="firstNameTextBox" Text="First Name:" />
        <asp:TextBox ID="firstNameTextBox" runat="server"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ID="firstNameValidator" ControlToValidate="firstNameTextBox" ErrorMessage="First name is required" Text="*"></asp:RequiredFieldValidator>
    </li>
    <li>
        <asp:Label runat="server" ID="lastNameLabel" AssociatedControlID="lastNameTextBox" Text="Last Name:" />
        <asp:TextBox ID="lastNameTextBox" runat="server"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ID="lastNameValidator" ControlToValidate="lastNameTextBox" ErrorMessage="Last name is required" Text="*"></asp:RequiredFieldValidator>
    </li>
    <li>
        <asp:Label runat="server" ID="addressLabel" AssociatedControlID="addressTextBox" Text="Address:" />
        <asp:TextBox ID="addressTextBox" runat="server" TextMode="MultiLine" Rows="4"></asp:TextBox>
    </li>
    <li class="lastListItem">
        <asp:CheckBox runat="server" ID="termsCheckBox" />I agree to the Terms &amp; Conditions
        <asp:CustomValidator runat="server" ErrorMessage="You should agree with the terms and conditions.!" ClientValidationFunction="validateTerms" ID="termsValidator" Text="*" />

        <script type="text/javascript">
		
		function validateTerms(source, args)
		{
			args.IsValid = $get("<%= termsCheckBox.ClientID %>").checked;
		}
		
        </script>

    </li>
</ul>
<asp:ValidationSummary runat="server" ID="validationSummary" CssClass="validationSummary" />
<div class="buttonSeparator">
    <!-- -->
</div>
<asp:Button runat="server" ID="nextButton" Text="Next" OnClick="nextButton_Click" CssClass="nextButton" />
