using System;
using System.Data;
using System.Web;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Web.UI;

namespace Telerik.Web.Examples.TabStrip.ApplicationScenarios.Wizard
{
	public partial class PersonalCS : System.Web.UI.UserControl
	{
		protected void Page_Load(object sender, System.EventArgs e)
		{
		}
		
		protected void nextButton_Click(object sender, EventArgs e)
		{
			UpdatePreview();

			GoToNextTab();
		}

		private void GoToNextTab()
		{
            RadTabStrip tabStrip = (RadTabStrip)this.Parent.Parent.Parent.FindControl("RadTabStrip1");
			RadTab educationInfoTab = tabStrip.FindTabByText("Education Info");
			educationInfoTab.Enabled = true;
			educationInfoTab.Selected = true;

			GoToNextPageView();
		}

		private void GoToNextPageView()
		{
            RadMultiPage multiPage = (RadMultiPage)this.Parent.Parent.Parent.FindControl("RadMultiPage1");
			RadPageView educationInfoPageView = multiPage.FindPageViewByID("Education");
			if (educationInfoPageView == null)
			{
				educationInfoPageView = new RadPageView();
				educationInfoPageView.ID = "Education";
				multiPage.PageViews.Add(educationInfoPageView);
			}
			educationInfoPageView.Selected = true;
		}

		private void UpdatePreview()
		{
            Control previewControl = this.Parent.Parent.Parent.FindControl("previewControl");

			Label titleLabelPreview = (Label)previewControl.FindControl("titleLabel");
			titleLabelPreview.Text = titleDropDownList.SelectedValue;

			Label firstNameLabelPreview = (Label)previewControl.FindControl("firstNameLabel");
			firstNameLabelPreview.Text = firstNameTextBox.Text;

			Label lastNameLabelPreview = (Label)previewControl.FindControl("lastNameLabel");
			lastNameLabelPreview.Text = lastNameTextBox.Text;

			Label addressLabelPreview = (Label)previewControl.FindControl("addressLabel");
			addressLabelPreview.Text = addressTextBox.Text;
		}
	}
}
