using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

namespace Telerik.Web.Examples.TabStrip.ApplicationScenarios.Wizard
{
	public partial class ProfessionalCS : System.Web.UI.UserControl
	{
		protected void Page_Load(object sender, EventArgs e)
		{

		}

		protected void nextButton_Click(object sender, EventArgs e)
		{
			UpdatePreview();
		}

		private void UpdatePreview()
		{
            Control previewControl = this.Parent.Parent.Parent.FindControl("previewControl");

			Label companyNameLabelPreview = (Label)previewControl.FindControl("companyNameLabel");
			companyNameLabelPreview.Text = companyNameTextBox.Text;

			Label companyAddressLabelPreview = (Label)previewControl.FindControl("companyAddressLabel");
			companyAddressLabelPreview.Text = addressTextBox.Text;

			Label startDateLabelPreview = (Label)previewControl.FindControl("startDateLabel");
			if (!startDatePicker.IsEmpty)
				startDateLabelPreview.Text = startDatePicker.SelectedDate.Value.ToShortDateString();

			Label endDateLabelPreview = (Label)previewControl.FindControl("endDateLabel");
			if (!endDatePicker.IsEmpty)
				endDateLabelPreview.Text = endDatePicker.SelectedDate.Value.ToShortDateString();

			Label responsibilitiesLabelPreview = (Label)previewControl.FindControl("responsibilitiesLabel");
			responsibilitiesLabelPreview.Text = resposibilitiesTextBox.Text;

			Label projectsLabelPreview = (Label)previewControl.FindControl("projectsLabel");
			projectsLabelPreview.Text = projectsTextBox.Text;
		}

	}
}
